"""Найти индекс первого нуля в переданном массиве."""
import sys


def task(array: str) -> int:
    """Возвращает индекс певрого встреченного 0 в array."""
    first_zero_element_idx: int = -1
    valid_input: bool = True

    for elem in array:
        if elem != "0" and elem == "1":
            first_zero_element_idx += 1
        # если вообще не было 0, то ввод неверный
        if elem not in "01":
            valid_input = False

    if valid_input:
        return first_zero_element_idx + 1
    else:
        return -1


if __name__ == "__main__":
    try:
        u_input = str(sys.argv[1])
        print(task(u_input))
    except IndexError:
        print("Не переданы аргументы!")
